Get Contacts By BusinessId
Get Contacts By BusinessId
GET
/
contacts
/
business
/
{businessId}
Get Contacts By BusinessId
curl --request GET \
--url https://services.leadconnectorhq.com/contacts/business/{businessId} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/contacts/business/{businessId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/contacts/business/{businessId}"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"contacts": [
{
"id": "ocQHyuzHvysMo5N5VsXc",
"locationId": "C2QujeCh8ZnC7al2InWR",
"email": "JohnDeo@gmail.com",
"timezone": "Asia/Calcutta",
"country": "DE",
"source": "xyz form",
"dateAdded": "2020-10-29T09:31:30.255Z",
"customFields": [
{
"id": "MgobCB14YMVKuE4Ka8p1",
"value": "name"
}
],
"tags": [
"nisi sint commodo amet",
"consequat"
],
"businessId": "641c094001436dbc2081e642",
"attributions": [
{
"url": "Trigger Link",
"campaign": "<string>",
"utmSource": "<string>",
"utmMedium": "<string>",
"utmContent": "<string>",
"referrer": "https: //www.google.com",
"campaignId": "<string>",
"fbclid": "<string>",
"gclid": "CjOKCQjwnNyUBhCZARISAI9AYIFtNnIcWcYGIOQINz_ZoFI5SSLRRugSoPZoiEu27IZBY£1-MAIWmEaAo2VEALW_WCB",
"msclikid": "<string>",
"dclid": "<string>",
"fbc": "<string>",
"fbp": "fb. 1.1674748390986.1171287961",
"fbEventId": "Mozilla/5.0",
"userAgent": "Mozilla/5.0",
"ip": "58.111.106.198",
"medium": "survey",
"mediumId": "FglfHAn30PRwsZVyQlKp"
}
],
"followers": "641c094001436dbc2081e642"
}
],
"count": 10
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
Headers
API Version
Available options:
2021-07-28 Path Parameters
Query Parameters
Example:
"10"
Example:
"5DP4iH6HLkQsiKESj6rh"
Example:
"10"
Example:
"contact name"
Last modified on March 8, 2026
Was this page helpful?
⌘I
Get Contacts By BusinessId
curl --request GET \
--url https://services.leadconnectorhq.com/contacts/business/{businessId} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/contacts/business/{businessId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/contacts/business/{businessId}"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"contacts": [
{
"id": "ocQHyuzHvysMo5N5VsXc",
"locationId": "C2QujeCh8ZnC7al2InWR",
"email": "JohnDeo@gmail.com",
"timezone": "Asia/Calcutta",
"country": "DE",
"source": "xyz form",
"dateAdded": "2020-10-29T09:31:30.255Z",
"customFields": [
{
"id": "MgobCB14YMVKuE4Ka8p1",
"value": "name"
}
],
"tags": [
"nisi sint commodo amet",
"consequat"
],
"businessId": "641c094001436dbc2081e642",
"attributions": [
{
"url": "Trigger Link",
"campaign": "<string>",
"utmSource": "<string>",
"utmMedium": "<string>",
"utmContent": "<string>",
"referrer": "https: //www.google.com",
"campaignId": "<string>",
"fbclid": "<string>",
"gclid": "CjOKCQjwnNyUBhCZARISAI9AYIFtNnIcWcYGIOQINz_ZoFI5SSLRRugSoPZoiEu27IZBY£1-MAIWmEaAo2VEALW_WCB",
"msclikid": "<string>",
"dclid": "<string>",
"fbc": "<string>",
"fbp": "fb. 1.1674748390986.1171287961",
"fbEventId": "Mozilla/5.0",
"userAgent": "Mozilla/5.0",
"ip": "58.111.106.198",
"medium": "survey",
"mediumId": "FglfHAn30PRwsZVyQlKp"
}
],
"followers": "641c094001436dbc2081e642"
}
],
"count": 10
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}